@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');

/* Default link colors */
a {
  color: #6017BA;  /* color for links */
  text-decoration: none;
}

/* Hover state */
a:hover {
  color: #4B1291;  /* color for links when mouse hovers */
  text-decoration: underline;
}

body {
    font-family: 'Inter';
    font-size: 16px;
}

.projects-container {
  max-width: 850px;
  margin: 40px auto;
  padding: 0 20px;
  font-family: 'Inter', sans-serif;
}

/* CARD */
.project-card {
  background: #ffffff;
  border: 1px solid #eaeaea;
  border-radius: 14px;
  padding: 22px;
  margin-bottom: 18px;

  box-shadow: 0 4px 12px rgba(0,0,0,0.04);
  transition: all 0.2s ease;
}

.project-card:hover {
  transform: translateY(-4px);
  box-shadow: 0 10px 22px rgba(0,0,0,0.08);
}

/* TITLE */
.project-card h3 {
  margin: 0 0 10px 0;
  font-size: 18px;
  font-weight: 500;
  color: #1f1f1f;
}

/* DESCRIPTION */
.project-card p {
  margin: 0 0 14px 0;
  color: #555;
  line-height: 1.5;
  font-size: 14.5px;
}

/* TAGS */
.tags {
  margin-bottom: 14px;
}

.tags span {
  display: inline-block;
  background: #f2f6ff;
  color: #2b5bb3;
  font-size: 12px;
  padding: 4px 10px;
  border-radius: 999px;
  margin-right: 6px;
  margin-bottom: 4px;
}

/* LINKS */
.links a {
  text-decoration: none;
  font-size: 13px;
  margin-right: 14px;
  color: #2b5bb3;
  font-weight: 500;
}

.links a:hover {
  text-decoration: underline;
}